$(function () {
    //删除产品品牌
    $("a[rel='del']").click(function () {
        var $delObject = $(this);
        if ($delObject.attr("rev") != "0") {
            alert("请先删除属于 [" + $delObject.attr("name") + "] 品牌的产品,才能删除该品牌！");
            return false;
        }

        if ($delObject.attr("sub") != "0") {
            alert("请先删除属于 [" + $delObject.attr("name") + "] 品牌下的品牌,才能删除该品牌！");
            return false;
        }

        if (confirm("确定删除品牌 [ " + $delObject.attr("name") + " ] 吗？")) {
            $.ajax({
                type: "POST",
                url: "Ajax/Product.ashx",
                data: { 'com': 'delproductbrand', 'brandid': $delObject.attr("href"), 'brandname': $delObject.attr("name"), 'picfile': $delObject.attr("pic") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    showMsg("[ " + $delObject.attr("name") + " ] 正在删除中 ", true);
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $delObject.parent().parent("tr").remove();
                    } else {
                        alert("删除失败!");
                    }
                    showMsg("", false);
                },
                error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
            })
        }

        return false;
    });
    //移动链接位置
    $("a[rel='shift']").click(function () {
        //当前对象
        var $object = $(this).attr("href").split('-');
        $.ajax({
            type: "POST",
            url: "Ajax/Product.ashx",
            data: { 'com': $object[0], 'objectid': $object[1], 'orderid': $object[2], 'parentid': $object[3], 'naviid': $object[4], 'naviname': $object[5] },
            datatype: "json",
            beforeSend: function (data, textStatus) {
                showMsg("移动中 ", true);
            },
            success: function (data, textStatus) {
                switch (data) {
                    case "0":
                        alert("更新失败");
                        break;
                    case "1":
                        location.reload();
                        break;
                    case "2":
                        if ($object[0] == "upwardproductbrand") {
                            alert("已经是最上了!");
                        } else {
                            alert("已经是最下了!");
                        }
                        break;
                }
                showMsg("", false);
            },
            error: function (e) { alert("连接失败,请向Eoyoo官方技术人员反馈!"); }
        })
        return false;
    });
})